KDE 4.9 PyKDE API Reference

- KDE's Python API

# KdePrint Namespace Reference

`from PyKDE4.kdeui.KdePrint import *`

## Detailed Description

Namespace for the KDE printing system

## Enumerations

PageSelectPolicy | { ApplicationSelectsPages, SystemSelectsPages }

## Functions

QPrintDialog | createPrintDialog (QPrinter printer, [QWidget] customTabs, QWidget parent=0)
QPrintDialog | createPrintDialog (QPrinter printer, QWidget parent=0)
QPrintDialog | createPrintDialog (QPrinter printer, KdePrint.PageSelectPolicy pageSelectPolicy, [QWidget] customTabs, QWidget parent=0)
QPrintDialog | createPrintDialog (QPrinter printer, KdePrint.PageSelectPolicy pageSelectPolicy, QWidget parent=0)

## Enumeration Documentation

PageSelectPolicy

Whether pages to be printed are selected by the application or the print system.

If ApplicationSelectsPages is set then the Application paints only the pages selected by the user in the Print Dialog and the Print System prints all the pages.

If SystemSelectsPages is set then the Application paints all the pages and the Server will attempt to select the user requested pages. This only works in CUPS, not LPR, Windows, or OSX.

Enumerator:

  ApplicationSelectsPages |
  SystemSelectsPages |

## Function Documentation

QPrintDialog createPrintDialog | ( | QPrinter | printer,
|  | [QWidget] | customTabs,
|  | QWidget | parent=0
| ) |  |  |

Creates a printer dialog for a QPrinter

Convenience method, assumes PageSelectionMode of ApplicationSelectsPages, see full version method for full documentation.

The caller takes ownership of the dialog and is responsible for deleting it.

Parameters:

  | printer | the QPrinter to apply settings to
  | parent | the parent for the dialog

QPrintDialog createPrintDialog | ( | QPrinter | printer,
|  | QWidget | parent=0
| ) |  |  |

Creates a printer dialog for a QPrinter

Convenience method, assumes PageSelectionMode of ApplicationSelectsPages, see full version method for full documentation.

The caller takes ownership of the dialog and is responsible for deleting it.

Parameters:

  | printer | the QPrinter to apply settings to
  | parent | the parent for the dialog

QPrintDialog createPrintDialog | ( | QPrinter | printer,
|  | KdePrint.PageSelectPolicy | pageSelectPolicy,
|  | [QWidget] | customTabs,
|  | QWidget | parent=0
| ) |  |  |

Creates a printer dialog for a QPrinter

Convenience method, assumes PageSelectionMode of ApplicationSelectsPages, see full version method for full documentation.

The caller takes ownership of the dialog and is responsible for deleting it.

Parameters:

  | printer | the QPrinter to apply settings to
  | parent | the parent for the dialog

QPrintDialog createPrintDialog | ( | QPrinter | printer,
|  | KdePrint.PageSelectPolicy | pageSelectPolicy,
|  | QWidget | parent=0
| ) |  |  |

Creates a printer dialog for a QPrinter

Convenience method, assumes PageSelectionMode of ApplicationSelectsPages, see full version method for full documentation.

The caller takes ownership of the dialog and is responsible for deleting it.

Parameters:

  | printer | the QPrinter to apply settings to
  | parent | the parent for the dialog